iPhone 3GS inte kompatibel med iOS 5?

iPhone 3GS kommer inte vara kompatibel med iOS 5? Tänk på att detta bara är ett rykte än så länge, men jag kan tänka mig att det delvis kommer att stämma. Apple brukar bara låta de två nyaste modellerna vara uppgraderingsbara vid större OS förändringar. När iOS 4 släpptes var det iphone 3G som inte klarade allt, till exempel multitasking. Så det är möjligt att man kan installera iOS 5 på 3GS men alla funktioner kommer inte vara kompatibla med hårdvaran. Full naturligt tycker jag. Det är samma sak med datorer, nya OS versioner brukar ofta kräva nyare datorer.

"Enligt de senaste ryktena kommer den nya versionen inte att fungera med iPhone 3GS, med andra ord får användare av den modellen nöja sig med iOS 4.3.x tills apparaten går sönder eller kasseras."

http://www.idg.se/2.1085/1.387530/hojda-systemkrav-for-ios-5